Lookup project by ciphertext or UID
curl --request GET \
--url https://api.vollna.com/v1/projects/lookup \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/projects/lookup"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/projects/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"title": "<string>",
"description": "<string>",
"skills": "<string>",
"url": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"clientQuestions": [
"<string>"
],
"categories": [
"<string>"
],
"site": "<string>",
"budget": {
"amount": "<string>"
},
"clientDetails": {
"paymentMethodVerified": true,
"country": "<string>",
"totalSpent": 103580,
"totalHires": 100,
"hireRate": 0.5,
"rating": 4.5,
"reviews": 78
},
"clientWorkHistory": [
{
"job_info": {
"uid": "<string>",
"title": "<string>",
"type": "<string>"
},
"status": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"total_hours": 123,
"total_charge": 123,
"feedback": {
"score": 123,
"comment": "<string>"
},
"feedback_to_client": {
"score": 123,
"comment": "<string>"
},
"rate": {
"amount": 123
}
}
]
},
"credits": {
"remaining": 9995,
"reset_date": "2026-01-16T00:00:00+00:00",
"new_projects_consumed": 1,
"total_projects_returned": 1
}
}Projects
Lookup project by ciphertext or UID
Returns a single project by its Upwork ciphertext (~123456) or UID. This endpoint consumes credits when returning a project that hasn’t been accessed before in the current billing period.
GET
/
projects
/
lookup
Lookup project by ciphertext or UID
Authorizations
API token for authentication
Query Parameters
Upwork job ciphertext (e.g., ~123456). Provide either ciphertext or uid, not both.
Pattern:
^~\d+$Example:
"~0123456789"
Upwork job UID. Provide either ciphertext or uid, not both.
Example:
"1234567890123456789"
Was this page helpful?
⌘I